Problems installing ImageMagick with ea-php80

abursill

Member
Nov 8, 2019
17
3
3
Thailand
cPanel Access Level
Website Owner
I have until today easily been able to install imagick on php versions up to 7,4 using a command line but when using.

/opt/cpanel/ea-php80/root/usr/bin/pecl install imagick

It crashes and gives the error

make: *** [imagick_file.lo] Error 1
ERROR: `make' failed

Any suggestions?
 

cPRex

Jurassic Moderator
Staff member
Oct 19, 2014
7,418
1,000
313
cPanel Access Level
Root Administrator
Hey there! Currently there isn't a working version for PHP 8.0, so this is expected. We have an article here that details this issue:


so if you need the magick functions you'll want to keep that site on PHP 7.4 for now.